#include <kapplication.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kconfig.h>
#include <kdiroperator.h>
#include <kglobal.h>

KAboutData aboutData(
            "kdirop",
            "KDirOp",
            "0.1.0", 
            I18N_NOOP("KDirOp"),
            KAboutData::License_GPL,
            "(c)", 
            QString::null,
            "http://",
            QString::null);

KCmdLineOptions options[] =
{
    KCmdLineLastOption
};

class KDirOp : public KDirOperator
{
    public:
        KDirOp() : KDirOperator(KURL("/"))
        {
            readConfig(KGlobal::config(), "KdirOp ConfigGroup");
            setView(KFile::Default);

            setupMenu(KDirOperator::SortActions);
        }

        ~KDirOp()
        {}
};

int main(int argc, char *argv[])
{
    KDirOp            *kdo;

    // parse command line
    KCmdLineArgs::init(argc, argv, &aboutData);
    KCmdLineArgs::addCmdLineOptions(options);

    KApplication    a;

    // create an instance
    kdo = new KDirOp;

    kdo->show();

    a.setMainWidget(kdo);

    return a.exec();
}
